TakenAt: 2017-12-24T07:00:27Z
TakenSrc: meta
UID: pqbcf0a2fhc7zp0w
Type: image
Title: Flower / Maun / 2017
TimeZone: Africa/Gaborone
PlaceSrc: meta
Altitude: 941
Lat: -19.845383
Lng: 23.401155
Year: 2017
Month: 12
Day: 24
ISO: 25
Exposure: 1/705
FNumber: 2.2
FocalLength: 29
Quality: 4
Details:
  Keywords: botswana, demo, flower, green, maun, north-west-district, river, thamalakane
CreatedAt: 2020-06-03T09:14:34Z
UpdatedAt: 2021-02-21T21:37:36.960362366Z
